For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTMake a call
      • GETGet a call
      • GETList calls
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APICalls

Get a call

||View as Markdown|
GET
/calls/:call_id
GET
/v2/calls/:call_id
$curl https://api.synthflow.ai/v2/calls/call_id \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 1,
6 "limit": 20,
7 "offset": 0
8 },
9 "calls": [
10 {
11 "call_id": "1725527007259x327898249603432960",
12 "model_id": "1725526325346x892123579587048600",
13 "campaign_type": "live",
14 "phone_number_from": "+11234567890",
15 "phone_number_to": "+1098765432",
16 "name": "",
17 "transcript": "bot: Hey, you've called to [company]. How may I assist you today?\nhuman: Hello. I would like to know my preferences.\nbot: Let me check your preferences.\nbot: I didn't catch your name. \nbot: Could you please provide it so I can look up your preferences? \nhuman: Eddie.\nbot: Let me check your preferences.\nbot: Alright, Eddie. \nbot: Let me quickly pull up your preferences. \nbot: One moment, please. \nbot: Let me check your preferences.\nbot: Alright, Eddie. \nbot: Let me pull up your preferences... \nbot: Let me check your preferences.\nbot: Let me check your preferences. \nhuman: (Now the user has not responded in a while, you would say:)\nbot: Hey Eddie, are you still there? \nhuman: Yes.\nbot: Let me check your preferences.\nbot: Got it. \nbot: Let me quickly pull up your preferences. \nbot: One moment, please. \nhuman: (Now the user has not responded in a while, you would say:)\nbot: Hey Eddie, are you still with me? \nhuman: Yes.\nbot: Let me check your preferences.\nbot: Alright, Eddie. \nbot: Let me quickly pull up your preferences. \nbot: One moment, please.",
18 "duration": 108,
19 "recording_url": "https://api.twilio.com/2019-06-03/Accounts/ACb029z9m380.../Recordings/RE68bd...",
20 "end_call_reason": "human_pick_up_cut_off",
21 "custom_end_call_reason": "Customer is being abusive",
22 "error_message": "",
23 "executed_actions": {},
24 "prompt_variables": {},
25 "type_of_call": "inbound",
26 "start_time": "1722260515000",
27 "timezone": "Europe/Madrid",
28 "telephony_hangup": "caller",
29 "telephony_disconnect_reason": "callee_hangup",
30 "telephony_duration": 66000,
31 "telephony_ringing_duration": 15000,
32 "telephony_start": {},
33 "telephony_end": {},
34 "status": "completed",
35 "collected_variables": {
36 "agent_123": {
37 "user_name": {
38 "value": "Julian",
39 "collected": true
40 },
41 "appointment_date": {
42 "value": {},
43 "collected": true
44 }
45 }
46 }
47 }
48 ]
49 }
50}
Retrieve the transcript and other metadata for a phone call.
Was this page helpful?
Previous

List calls

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

call_idstringRequired
Call ID. You can find it on the logs page in your dashboard.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error
404
Not Found Error